> ## Documentation Index
> Fetch the complete documentation index at: https://chargecloud.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves sensors

> Retrieves sensors. Required permission: assets:sensor:list



## OpenAPI

````yaml /api/core-api/crmiapi.json get /api/v1/assets/sensors
openapi: 3.1.1
info:
  title: chargecloud - Core API
  summary: chargecloud Core API. All around CRM, Asset Management and more.
  version: 1.113.1
  description: chargecloud Core API. All around CRM, Asset Management and more.
servers:
  - url: https://api.chargecloud.dev
    description: Production - chargecloud Core API
  - url: https://demo.chargecloud.de
    description: Sandbox/Dev - chargecloud Core API
security: []
paths:
  /api/v1/assets/sensors:
    get:
      tags:
        - Sensors
      summary: Retrieves sensors
      description: 'Retrieves sensors. Required permission: assets:sensor:list'
      operationId: /api/v1/assets/sensors_GET
      parameters:
        - name: chargepoint_id
          in: query
          description: ID of the chargepoint
          schema:
            type: integer
            format: int32
            description: ID of the chargepoint
        - name: limit
          in: query
          description: Maximum number of items per page. Maximum value is 25.
          schema:
            type: integer
            format: int64
            minimum: 1
            maximum: 25
            description: Maximum number of items per page. Maximum value is 25.
            example: '10'
        - name: page
          in: query
          description: Page number to retrieve (starting from 1).
          schema:
            type: integer
            format: int64
            minimum: 1
            description: Page number to retrieve (starting from 1).
            example: '1'
      responses:
        '200':
          description: Sensor collection
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - sensors
                properties:
                  sensors:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          format: int32
                          description: Sensor id
                        modification_date:
                          type: string
                          description: Date of modification
                        last_status_changed_at:
                          type: string
                          description: Last status changed at
                        last_status:
                          type: string
                          enum:
                            - Available
                            - Occupied
                            - Parked
                            - Unavailable
                            - Unknown
                          description: Last status of the sensor
                        name:
                          type: string
                          maxLength: 255
                          description: Sensor name
                        interface_name:
                          type: string
                          maxLength: 255
                          description: Interface name
                        ext_id:
                          type: string
                          maxLength: 255
                          description: External id
                        chargepoint_id:
                          type: integer
                          format: int32
                          minimum: 0
                          description: Chargepoint id
                      required:
                        - id
                        - chargepoint_id
                      description: Sensor
                    description: Sensors
                  pagination:
                    type: object
                    properties:
                      page:
                        type: integer
                        format: int64
                        description: Current page number (starting from 1).
                        example: '1'
                      total_pages:
                        type: integer
                        format: int64
                        description: Total number of available pages.
                        example: '5'
                      page_size:
                        type: integer
                        format: int64
                        description: Number of items returned per page.
                        example: '10'
                      has_more:
                        type: boolean
                        default: true
                        description: >-
                          Indicates whether more pages are available after the
                          current page.
                        example: 'true'
                    description: Pagination
        '401':
          description: Unauthorized
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '404':
          description: Not found
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
                  pagination:
                    type: object
                    properties:
                      page:
                        type: integer
                        format: int64
                        description: Current page number (starting from 1).
                        example: '1'
                      total_pages:
                        type: integer
                        format: int64
                        description: Total number of available pages.
                        example: '5'
                      page_size:
                        type: integer
                        format: int64
                        description: Number of items returned per page.
                        example: '10'
                      has_more:
                        type: boolean
                        default: true
                        description: >-
                          Indicates whether more pages are available after the
                          current page.
                        example: 'true'
                    description: Pagination
        '405':
          description: Method not allowed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '422':
          description: Request validation failed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - errors
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        errorKey:
                          type: string
                          description: A key identifying the error
                        message:
                          type: string
                          description: The error message
                        parameter:
                          type: string
                          description: The parameter that caused the error, if any
                      required:
                        - errorKey
                        - message
                        - parameter
                      description: Error
                    description: List of errors
        '429':
          description: Too many requests
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
      security:
        - bearer:
            - asset:sensor
components:
  headers:
    Content-Language:
      description: The locale of the response content (BCP 47 language tag).
      schema:
        type: string
        example: en
  securitySchemes:
    bearer:
      type: http
      description: OAuth2 Bearer Authorization
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Retrieves details for a sensor](/api-reference/sensors/retrieves-details-for-a-sensor.md)
- [Updates a sensor](/api-reference/sensors/updates-a-sensor.md)
- [Creates a sensor](/api-reference/sensors/creates-a-sensor.md)
